;================================================================
; 主要游戏流程
; game_start.erb 游戏启动入口
;================================================================


;;;覆写 Emuera 的标题界面
;;;@return 不能直接返回
@SYSTEM_TITLE

    CALL GameInit

    WHILE 1
        CALL PrintLine
        CALL PrintLog("游戏已成功启动。")
        ;#; CALL DebugHook
        CALL SceneTitle
        CALL PrintLine
        CALL PrintLog("运行结束，按任意键再次运行。", "warn")
        WAITANYKEY
        CLEARLINE LINECOUNT
    WEND

    ; 理论上永远不会运行到这里
    QUIT    ; 既不会自动退出
    RETURN  ; 也不会结束标题界面
